# -*- mode: ruby -*-
# vi: set ft=ruby :

require_relative 'csenv'

# course environment definition
Vagrant.configure("2") do |base|

  include CSEnv

  # Install base environment.
  Base.provision(base, hostname: ENV["VMID"] || "sandbox")

  # Nothing more to do for a sandbox appliance.
  base.vm.define(:sandbox, primary: true)

  # Add desktop environment for a desktop appliance.
  base.vm.define(:desktop) do |desktop|
    Desktop.provision(desktop, username: ENV["VMUSER"] || "u")
  end

end
